Summary: A security tool which provides authentication for applications.
Name: pam
Version: 0.72
Release: 1.3.0
Copyright: GPL or BSD
Vendor: Guardian Digital
Group: System Environment/Base
Source: pam-redhat-%{version}-37.tar.gz
Source1: other.pamd
Patch0: pam-0.72-1.0.6-access.patch 
Patch1: pam-0.72-1.0.3-console.patch 
Patch2: pam-0.72-1.0.3-limits-gd-2.diff
Patch3: pam-0.72-1.0.3-system-auth.patch
Patch4: pam-0.72-pam_issue-time.h-gd-1.diff
Patch5:	pam-0.72-owl-pam_limits-gd-1.diff

BuildRoot: %{_tmppath}/%{name}-root
Requires: cracklib, cracklib-dicts, pwdb >= 0.54-2, initscripts >= 3.94
Obsoletes: pamconfig
Url: http://www.us.kernel.org/pub/linux/libs/pam/index.html

%description
PAM (Pluggable Authentication Modules) is a system security tool
which allows system administrators to set authentication policy
without having to recompile programs which do authentication.

%prep
%setup -q
ln -sf defs/redhat.defs default.defs
%patch0 -p1 -b .access
%patch1 -p1 -b .console
%patch2 -p1 -b .limits
%patch3 -p1 -b .system-auth
%patch4 -p1
%patch5 -p1

%build
touch .freezemake
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include/security
mkdir -p $RPM_BUILD_ROOT/lib/security
make install FAKEROOT=$RPM_BUILD_ROOT LDCONFIG=: MANDIR=%{_mandir}
install -d -m 750 $RPM_BUILD_ROOT/etc/pam.d
install -m 640 other.pamd $RPM_BUILD_ROOT/etc/pam.d/other
install -m 640 system-auth.pamd $RPM_BUILD_ROOT/etc/pam.d/system-auth
# make sure the modules built...
[ -f $RPM_BUILD_ROOT/lib/security/pam_deny.so ] || {
  echo "You have LITTLE or NOTHING in your /lib/security directory:"
  echo $RPM_BUILD_ROOT/lib/security/*
  echo ""
  echo "Fix it before you install this package, while you still can!"
  exit 1
}
# forcibly strip the helpers
strip $RPM_BUILD_ROOT/sbin/* ||:

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%files
%defattr(-,root,root)
%attr(0750,root,root)	%dir /etc/pam.d
%attr(0640,root,root)	%config /etc/pam.d/other
%attr(0640,root,root) 	%config(noreplace) /etc/pam.d/system-auth
%doc Copyright
%doc doc/html doc/ps doc/txts
%doc doc/specs/rfc86.0.txt
/lib/libpam.so*
/lib/libpam_misc.so*
/lib/libpam_misc.a
/usr/include/security/*.h
/sbin/*
/lib/security
%attr(750,root,root)    %dir /etc/security
%attr(640,root,root)	%config /etc/security/access.conf
%attr(640,root,root)	%config /etc/security/time.conf
%attr(640,root,root)	%config /etc/security/group.conf
%attr(640,root,root)	%config /etc/security/limits.conf
%attr(640,root,root)	%config /etc/security/pam_env.conf
%attr(640,root,root)	%config /etc/security/console.perms
%attr(750,root,root)	%dir /etc/security/console.apps
%dir /var/lock/console
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Tue Feb 18 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.72, Release 1.5.2
  - Allow stacking for account management in pam_limits.

* Tue Feb 04 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.72, Release 1.5.1
  - Include time.h in pam_issue.c.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Tue Apr 16 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.72, Release 1.2.1
  - Removed global fsize limit from limits.conf.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-Engarde changelog.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.72, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Thu Dec 14 2000 Pete O'Hara <pete@guardiandigital.com>
- upgraded to latest pam release (37) to take care of 
	pam_localuser buffer overflow problem
 
* Tue Nov 21 2000 Pete O'Hara <pete@guardiandigital.com>
- added "admin" group to be able to login at the console

* Mon Oct 30 2000 Dave Wreski <dave@guardiandigital.com>
- upgrade to .72 latest
- general clean ups

* Thu Aug 7 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to /etc/pam.d
- modified pam_access module to restrict console and
        tty1-8 login only to root
- removed "nullok" passwd arguments from
        /etc/pam.d/system-auth configuration file
- imposed some system resource limits for
        Guardian Digital Linux Lockbox
